# Uses of Enum
org.kapott.hbci.manager.HHDVersion

Packages that use HHDVersion
Package
Description
org.kapott.hbci.manager
Package, welches diverse Klassen für den Zugriff auf die Funktionen von HBCI4Java enthält.

## Uses of HHDVersion in org.kapott.hbci.manager

Methods in org.kapott.hbci.manager that return HHDVersion
Modifier and Type
Method
Description
`static HHDVersion`
HHDVersion.`find(Properties secmech)`
Ermittelt die zu verwendende HHD-Version aus den BPD-Informationen des TAN-Verfahrens.
`static HHDVersion`
HHDVersion.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HHDVersion[]`
HHDVersion.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.manager with parameters of type HHDVersion
Modifier and Type
Method
Description
`static FlickerCode`
FlickerCode.`tryParse(HHDVersion hhd, String challenge, String hhduc)`
Versucht, aus Challenge und Challenge HHDuc den Flicker-Code zu extrahieren und ihn in einen flickerfaehigen Code umzuwandeln.
Constructors in org.kapott.hbci.manager with parameters of type HHDVersion
Modifier
Constructor
Description
``
`FlickerCode(HHDVersion hhd, String code)`
ct.